webkit-0.12.6.1: Binding to the Webkit library.

Maintainer | gtk2hs-users@lists.sourceforge.net
Stability | provisional
Portability | portable (depends on GHC)
Safe Haskell | None
Language | Haskell98

Graphics.UI.Gtk.WebKit.WebBackForwardList

Contents

- Types
- Constructors
- Methods

Description

The history of a `WebView`

Synopsis

- class ContainerClass o => WebViewClass o
- data WebBackForwardList
- class GObjectClass o => WebBackForwardListClass o
- webBackForwardListNewWithWebView :: WebViewClass webview => webview -> IO WebBackForwardList
- webBackForwardListGoForward :: WebBackForwardListClass self => self -> IO ()
- webBackForwardListGoBack :: WebBackForwardListClass self => self -> IO ()
- webBackForwardListContainsItem :: (WebBackForwardListClass self, WebHistoryItemClass item) => self -> item -> IO Bool
- webBackForwardListGoToItem :: (WebBackForwardListClass self, WebHistoryItemClass item) => self -> item -> IO ()
- webBackForwardListGetBackItem :: WebBackForwardListClass self => self -> IO (Maybe WebHistoryItem)
- webBackForwardListGetCurrentItem :: WebBackForwardListClass self => self -> IO WebHistoryItem
- webBackForwardListGetForwardItem :: WebBackForwardListClass self => self -> IO (Maybe WebHistoryItem)
- webBackForwardListGetNthItem :: WebBackForwardListClass self => self -> Int -> IO WebHistoryItem
- webBackForwardListGetBackLength :: WebBackForwardListClass self => self -> IO Int
- webBackForwardListGetForwardLength :: WebBackForwardListClass self => self -> IO Int
- webBackForwardListGetLimit :: WebBackForwardListClass self => self -> IO Int
- webBackForwardListSetLimit :: WebBackForwardListClass self => self -> Int -> IO ()
- webBackForwardListAddItem :: (WebBackForwardListClass self, WebHistoryItemClass item) => self -> item -> IO ()
- webBackForwardListGetForwardListWithLimit :: WebBackForwardListClass self => self -> Int -> IO [WebHistoryItem]
- webBackForwardListGetBackListWithLimit :: WebBackForwardListClass self => self -> Int -> IO [WebHistoryItem]

# Types

class ContainerClass o => WebViewClass o

Instances

WebViewClass WebView |

data WebBackForwardList

Instances

Eq WebBackForwardList |
Ord WebBackForwardList |
GObjectClass WebBackForwardList |
WebBackForwardListClass WebBackForwardList |

class GObjectClass o => WebBackForwardListClass o

Instances

WebBackForwardListClass WebBackForwardList |

# Constructors

webBackForwardListNewWithWebView :: WebViewClass webview => webview -> IO WebBackForwardList

Create an WebBackForwardList with a controlling WebView.

# Methods

webBackForwardListGoForward :: WebBackForwardListClass self => self -> IO ()

Steps forward in the back forward list.

webBackForwardListGoBack :: WebBackForwardListClass self => self -> IO ()

Steps back in the back forward list.

webBackForwardListContainsItem :: (WebBackForwardListClass self, WebHistoryItemClass item) => self -> item -> IO Bool

Check if an history item in the back forward list.

webBackForwardListGoToItem :: (WebBackForwardListClass self, WebHistoryItemClass item) => self -> item -> IO ()

Go to the specified history item in the back forward list.

webBackForwardListGetBackItem

Arguments

:: WebBackForwardListClass self |
=> self |
-> IO (Maybe WebHistoryItem) | A `WebHistoryItem` or `Nothing` if there is nothing precedes the current item.

Return the history item that precedes the current history item.

webBackForwardListGetCurrentItem :: WebBackForwardListClass self => self -> IO WebHistoryItem

Return the current history item of the back forward list

webBackForwardListGetForwardItem

Arguments

:: WebBackForwardListClass self |
=> self |
-> IO (Maybe WebHistoryItem) | A `WebHistoryItem` or `Nothing` if there is nothing succeeds the current item.

Return the item that succeeds the current item

webBackForwardListGetNthItem

Arguments

:: WebBackForwardListClass self |
=> self | `webbackforwardlist` - a WebBackForwardList
-> Int | `index` - the index of the item
-> IO WebHistoryItem |

Return the history item at a given index relative to the current item.

webBackForwardListGetBackLength :: WebBackForwardListClass self => self -> IO Int

Return the number of items that preced the current item.

webBackForwardListGetForwardLength :: WebBackForwardListClass self => self -> IO Int

Return the number of items that succeed the current item.

webBackForwardListGetLimit :: WebBackForwardListClass self => self -> IO Int

Return the maximum limit of the back forward list.

webBackForwardListSetLimit :: WebBackForwardListClass self => self -> Int -> IO ()

Set the maximum limit of the back forward list.

if the back forward list exceeds its capacity, items will be removed everytime a new item had been added.

webBackForwardListAddItem :: (WebBackForwardListClass self, WebHistoryItemClass item) => self -> item -> IO ()

Add the item to the back forward list.

webBackForwardListGetForwardListWithLimit

Arguments

:: WebBackForwardListClass self |
=> self |
-> Int | the number of items to retrieve
-> IO [WebHistoryItem] | a `List` of items succeeding the current item, limited by limit.

Return a list of items that succeed the current item, limited by `limit`.

webBackForwardListGetBackListWithLimit

Arguments

:: WebBackForwardListClass self |
=> self |
-> Int | the number of items to retrieve
-> IO [WebHistoryItem] | a `List` of items preceding the current item, limited by limit

Return a list of items that preced the current item. limited by limit.